package rakete;
import java.awt.Color;
import java.awt.Graphics;

import org.opensourcephysics.display.Drawable;
import org.opensourcephysics.display.DrawingPanel;

/**
 * Klasse zum Zeichnen des Rechtecks im Drawingpanel 
 * des Info-Fensters
 * @author Sarah Hipp
 */
public class MeinRechteck implements Drawable {
	private double x;
	private double y;
	private double width;
	private double height;

	//x-Position der linken oberen Ecke des Rechtecks
	public void setX(double x) {
		this.x = x;
	}

	//y-Position der linken oberen Ecke des Rechtecks
	public void setY(double y) {
		this.y = y;
	}

	//rechte Kante des Rechtecks
	public void setWidth(double width) {
		this.width = width;
	}

	//untere Kante des Rechtecks
	public void setHeight(double height) {
		this.height = height;
	}

	public MeinRechteck(double x, double y, double width, double height) {
		this.x = x;
		this.y = y;
		this.width = width;
		this.height = height;
	}

	@Override
	public void draw(DrawingPanel panel, Graphics g) {
		g.setColor(Color.red);
		g.drawRect(panel.xToPix(x), panel.yToPix(y), panel.xToPix(width)
				- panel.xToPix(0), panel.yToPix(height) - panel.yToPix(y));
	}

}

/*
 * This software is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General 
 * Public License (GPL) as published by the Free Software 
 * Foundation; either version 3 of the License, 
 * or(at your option) any later version.
 *
 * This software is distributed in the hope that it will 
 * be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General 
 * Public License along with this; 
 * if not, see <http://www.gnu.org.licenses>
 */