package rakete;
import java.awt.Color;
import java.awt.Graphics;

import org.opensourcephysics.display.Drawable;
import org.opensourcephysics.display.DrawingPanel;

/**
 * Klasse zum Zeichnen von zwei kleinen waagrechten Linien 
 * im Animationsplot, welche die Maximalh"ohe der 
 * Raketen kennzeichnen.
 * @author Sarah Hipp
 */

public class MeinStrich implements Drawable {
	private double y;
	private double y1;

	// y-Wert der Linie der zweistufigen Rakete
	public void setY(double y) {
		this.y = y;
	}

	// y-Wert der Linie der einstufigen Rakete
	public void setY1(double y1) {
		this.y1 = y1;
	}
	
	public double getY() {
		return y;
	}
	
	public double getY1() {
		return y1;
	}

	public MeinStrich(double y, double y1) {
		this.y = y;
		this.y1 = y1;
	}

	@Override
	public void draw(DrawingPanel panel, Graphics g) {
		g.setColor(Color.black);
		g.drawLine(panel.xToPix(-5.5), panel.yToPix(y), 
				panel.xToPix(-4.5), panel.yToPix(y));
		g.setColor(Color.red);
		g.drawLine(panel.xToPix(4.5), panel.yToPix(y1), 
				panel.xToPix(5.5), panel.yToPix(y1));
	}
}

/*
 * This software is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General 
 * Public License (GPL) as published by the Free Software 
 * Foundation; either version 3 of the License, 
 * or(at your option) any later version.
 *
 * This software is distributed in the hope that it will 
 * be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General 
 * Public License along with this; 
 * if not, see <http://www.gnu.org.licenses>
 */
