package rakete;
/** Oberklasse zur Implementierung numerischer 
 	Loesungsverfahren von DGl.
 	
	 Abgeleitete Klassen:
	 EC_NumDgl fuer das Euler-Cauchy-Verfahren
	 RK_NumDgl fuer das Runge-Kutta-Verfahren 4. Stufe
	 
	 @author Fabian Buehler
*/

public abstract class NumDgl implements NFunktion {
  int n;
  double h, t0, t1;
  double[] x0;

  public abstract double[][] lsg();
  
  NumDgl(int n, double h, double t0, double t1, double[] x0) {
	 this.n=n;
	 this.h=h;
	 this.t0=t0;
	 this.t1=t1;
	 this.x0=x0;
  }

public void setT0(double t0) {
	this.t0 = t0;
}

public void setX0(double[] x0) {
	this.x0 = x0;
}
}

/*
 * This software is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General 
 * Public License (GPL) as published by the Free Software 
 * Foundation; either version 3 of the License, 
 * or(at your option) any later version.
 *
 * This software is distributed in the hope that it will 
 * be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General 
 * Public License along with this; 
 * if not, see <http://www.gnu.org.licenses>
 */
