package rakete;

/**
 * DGL für die abgestossenen Tanks
 * @author Sarah Hipp
 */

public class RaketeDglAbwurf extends RK_NumDgl {
	private double G = 6.67E-11; // Gravitationskonstante
	private double M = 5.98E24; // Erdmasse
	private double R = 6.37E6; // Erdradius
	
	/**
	 * @param n  = Dimension
	 * @param h  = Schrittweite
	 * @param t0 = Anfangszeitpunkt
	 * @param t1 = Endzeitpunkt
	 * @param x0 = Vektor mit Anfangszeit, 
	 * 			   Anfangsh"ohe und Anfangsgeschwindigkeit
	 */
	RaketeDglAbwurf(int n, double h, double t0, double t1, double[] x0) {
		super(n, h, t0, t1, x0);
	}

	public double[] fn(double t, double[] x) {
		double[] ret = new double[n];
		ret[0] = 1.0;
		ret[1] = x[2];
		ret[2] = -G * M * 1 / Math.pow(x[1] + R, 2);
		return ret;
	}
}

/*
 * This software is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General 
 * Public License (GPL) as published by the Free Software 
 * Foundation; either version 3 of the License, 
 * or(at your option) any later version.
 *
 * This software is distributed in the hope that it will 
 * be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General 
 * Public License along with this; 
 * if not, see <http://www.gnu.org.licenses>
 */
